<?php
require_once ("../../config/Cado.php");
require_once("carticulotipo.php");
$oArticulotipo = new cArticulotipo();
if($_POST['action_artipo']=="insertar")
{
	if(!empty($_POST['txt_artipo_nom']))
	{
		$oArticulotipo->insertar($_POST['txt_artipo_nom'],$_POST['chk_alm_ven']);
		
		$dts=$oArticulotipo->ultimoInsert();
		$dt = mysqli_fetch_array($dts);
		$arttip_id=$dt['last_insert_id()'];
		mysqli_free_result($dts);
		
		$data['arttip_id']=$arttip_id;
		$data['arttip_msj']='Se registró Tipo de Artículo correctamente.';
	}
	else
	{ 
	$data['arttip_msj']= 'Intentelo nuevamente'; 
	}
	echo json_encode($data);
}
if($_POST['action_artipo']=="editar")
{
	if(!empty($_POST['txt_artipo_nom']))
	{
		$oArticulotipo->modificar($_POST['hdd_artipo_id'],$_POST['txt_artipo_nom'],$_POST['chk_alm_ven']);
		
		$data['arttip_msj']='Se modifico el tipo articulo correctamente.';		
	}
	else
		{
			$data['arttip_msj'] = 'Intentelo nuevamente';
		}
		echo json_encode($data);
}
if($_POST['action']=="eliminar"){
	if(!empty($_POST['id']))
	{
		$cst1 = $oArticulotipo->verifica_tipo_tabla($_POST['id'],'tb_articulotipo');
		$rst1= mysqli_num_rows($cst1);
		if($rst1>0)$msj1=' Artículo';
		
		$oArticulotipo->modificar_campo($_POST['id'],'xac','0');
		echo 'Se eliminó el Tipo de Artículo correctamente.';
		
	}else{ 
		echo 'Intentelo nuevamente.'; 
	}
}
?>